%define module	cvxopt
%define name   	python-%{module}
%define version 1.1.1
%define release %mkrel 1

Summary: 	Free convex optimization package for Python
Name: 	      	%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{module}-%{version}.tar.gz
Patch0:		setup32.py.patch
Patch1:		setup64.py.patch
License:	GPLv3+
Group:		Development/Python
Url:		http://abel.ee.ucla.edu/cvxopt
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	libgfortran
BuildRequires:	libgfortran, python-sphinx, tetex-latex
BuildRequires:	blas-devel, lapack-devel, fftw3-devel, glpk-devel
%py_requires -d

%description
CVXOPT is a free software package for convex optimization based on the
Python programming language. It provides

* efficient Python classes for dense and sparse matrices (real and
  complex), with Python indexing and slicing and overloaded operations
  for matrix arithmetic;

* an interface to most of the double-precision real and complex BLAS;

* an interface to LAPACK routines for solving linear equations and
  least-squares problems, matrix factorizations (LU, Cholesky, LDL and
  QR), eigenvalue and singular value decomposition;

* an interface to the fast Fourier transform routines from FFTW

* interfaces to the sparse LU and Cholesky solvers from UMFPACK and CHOLMOD

* routines for solving convex optimization problems, interfaces to the
  linear programming solver in GLPK and the semidefinite programming
  solver in DSDP5

* a modeling tool for specifying convex piecewise-linear optimization problems
  (which has been superseded by the more powerful CVXMOD package).

%prep
%setup -q -n %{module}-%{version}
%ifarch x86_64
%patch1 -p0
%else
%patch0 -p0
%endif

%build
pushd src/
%__python setup.py build
popd
make -C doc latex
make -C doc/build/latex all-pdf

%install
%__rm -rf %{buildroot}
pushd src/
%__python setup.py install --root=%{buildroot} --record=../FILE_LIST
popd

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc doc/build/latex/*.pdf examples/ LICENSE


%changelog
* Wed Apr 01 2009 Lev Givon <lev@mandriva.org> 1.1.1-1mdv2010.0
+ Revision: 363359
- Update to 1.1.1.

* Tue Jan 06 2009 Lev Givon <lev@mandriva.org> 1.1-1mdv2009.1
+ Revision: 326017
- Update to 1.1.

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0-2mdv2009.0
+ Revision: 269021
- rebuild early 2009.0 package (before pixel changes)

* Fri May 02 2008 Lev Givon <lev@mandriva.org> 1.0-1mdv2009.0
+ Revision: 200193
- Update to 1.0.

* Mon Feb 25 2008 Lev Givon <lev@mandriva.org> 0.9.3-1mdv2008.1
+ Revision: 174864
- Update to 0.9.3.

* Thu Jan 03 2008 Lev Givon <lev@mandriva.org> 0.9.2-1mdv2008.1
+ Revision: 142318
- Update to 0.9.2.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 07 2007 Lev Givon <lev@mandriva.org> 0.9.1-1mdv2008.1
+ Revision: 116321
- Update to 0.9.1.
  Use new devel library naming policy.

* Fri Nov 09 2007 Lev Givon <lev@mandriva.org> 0.9-2mdv2008.1
+ Revision: 106990
- Bump release to rebuild against lapack 3.1.1.
- Update to 0.9.

* Sun Aug 05 2007 Lev Givon <lev@mandriva.org> 0.8.2-1mdv2008.0
+ Revision: 59131
- Import python-cvxopt



* Wed Jun 13 2007 Lev Givon <lev@mandriva.org> 0.8.2-1mdv2007.1
- Initial Mandriva package.
